import { AbstractController } from "./abstract.controller";
import { Response } from "express";
import { UtilsMethods } from "../methods/util.method";
import { AbstractModel } from "../models/abstract.model"; 
export class UtilsController extends AbstractController {
  methods: UtilsMethods;
  constructor() {
    super(AbstractModel);
    this.methods = new UtilsMethods(AbstractModel);
  }
  /**
   *
   * @param {*} req
   * @param {*} res
   */
  async endpointsUtils(req: any, res: Response, next) {
    try {
      res.send(this.methods.endpointsUtils(req));
    } catch (e) {
      this.params.handleHttpError(res, e);
    }
  }
}
